
QGIS Application - Bug report #18037

Activate and deactivate Atlas moves rotated items in layout.

2018-02-03 09:39 AM - Klas Karlsson

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25933

Description

Any rotated objects in the layout will move depending on rotation, in a direction combined with the object center point.

Just activate and deactivate the Atlas checkbox repeatedly, and watch the elements move.

Associated revisions

Revision 4287ce48 - 2018-02-05 03:45 AM - Nyall Dawson

[layouts] Fix rotated items move when refreshing layout

Fixes #18037

History

#1 - 2018-02-05 03:44 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|4287ce489d1054a98ace4ab4b35d45e45633d5fb.

#2 - 2018-02-21 09:19 PM - Giovanni Manghi

- Resolution set to fixed/implemented
